#/bin/sh

##########################################################################
# Shell script function to remove the 'intermapper' user and group.
# This function is meant to be called as follows:
#
# imuserdel DEBIAN			Debian 3.0, Debian 3.1, Ubuntu
# imuserdel REDHAT			All Redhat flavors, SuSE, Mandrake
# imuserdel FREEBSD			FreeBSD 4 and 5
# imuserdel SOLARIS			Solaris SPARC and Intel
#
# The script will check whether a user/group  'intermapper' already exist,
# and deletes them.  Otherwise it does nothing.
#
# On Solaris, the user is called 'intermap' to stay within 8 characters.
##########################################################################

imuserdel()
{
	if [ "$1" = "DEBIAN" ]; then

		check_name=`cat /etc/passwd | awk -F: '{if ($1 == "intermapper") print $1}'`
		if [ "$check_name" = "intermapper" ]; then
			/usr/sbin/deluser intermapper
			echo "Deleted intermapper user"
		else
			echo "The intermapper user does not exist"
		fi

	elif [ "$1" = "REDHAT" ]; then

		check_name=`cat /etc/passwd | awk -F: '{if ($1 == "intermapper") print $1}'`
		if [ "$check_name" = "intermapper" ]; then
			/usr/sbin/userdel intermapper
			/usr/sbin/groupdel intermapper
			echo "Deleted intermapper user"
		else
			echo "The intermapper user does not exist"
		fi

	elif [ "$1" = "SUSE" ]; then

		check_name=`cat /etc/passwd | awk -F: '{if ($1 == "intermapper") print $1}'`
		if [ "$check_name" = "intermapper" ]; then
			/usr/sbin/userdel intermapper
			/usr/sbin/groupdel intermapper
			echo "Deleted intermapper user"
		else
			echo "The intermapper user does not exist"
		fi

	elif [ "$1" = "MANDRAKE" ]; then

		check_name=`cat /etc/passwd | awk -F: '{if ($1 == "intermapper") print $1}'`
		if [ "$check_name" = "intermapper" ]; then
			/usr/sbin/userdel intermapper
			/usr/sbin/groupdel intermapper
			echo "Deleted intermapper user"
		else
			echo "The intermapper user does not exist"
		fi

	elif [ "$1" = "FREEBSD" ]; then

		check_name=`cat /etc/passwd | awk -F: '{if ($1 == "intermapper") print $1}'`
		if [ "$check_name" = "intermapper" ]; then
			pw groupdel intermapper
			pw userdel intermapper
			echo "Deleted intermapper user"
		else
			echo "The intermapper user does not exist"
		fi

	elif [ "$1" = "SOLARIS" ]; then

		check_name=`cat /etc/passwd | awk -F: '{if ($1 == "intermap") print $1}'`
		if [ "$check_name" = "intermap" ]; then
			/usr/sbin/userdel intermap
			/usr/sbin/groupdel intermap
			echo "Deleted intermapper user"
		else
			echo "The intermapper user does not exist"
		fi

    else

		echo "You must pass an argument that is one of:"
		echo "DEBIAN, REDHAT, FREEBSD, SOLARIS"

    fi
}

imuserdel "$1"
